import os

folder_path = os.getcwd() # gets the current working directory

def process_folder(folder_path):
    for filename in os.listdir(folder_path):
        file_path = os.path.join(folder_path, filename)
        if os.path.isdir(file_path):
            process_folder(file_path)
        elif filename.endswith('.ini'):
            with open(file_path, 'r') as f:
                s = f.read()
            s = s.replace('ib = ResourceYelanExtraIB\nps-t0 = ResourceYelanExtraDiffuse\nps-t1 = ResourceYelanExtraLightMap\nps-t2 = ResourceYelanExtraMetalMap\nps-t3 = ResourceYelanExtraShadowRamp','ib = ResourceYelanExtraIB\nps-t0 = ResourceYelanHeadDiffuse\nps-t1 = ResourceYelanHeadLightMap\nps-t2 = ResourceYelanHeadMetalMap\nps-t3 = ResourceYelanHeadShadowRamp')
            s = s.replace('ib = ResourceYelanDressIB\nps-t0 = ResourceYelanDressDiffuse\nps-t1 = ResourceYelanDressLightMap\nps-t2 = ResourceYelanDressMetalMap\nps-t3 = ResourceYelanDressShadowRamp','ib = ResourceYelanDressIB\nps-t0 = ResourceYelanBodyDiffuse\nps-t1 = ResourceYelanBodyLightMap\nps-t2 = ResourceYelanBodyMetalMap\nps-t3 = ResourceYelanBodyShadowRamp')
            with open(file_path, 'w') as f:
                f.write(s)

process_folder(folder_path)
print("Done!")
